> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new project

> An endpoint for creating a new project



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml post /v1/projects
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects:
    post:
      tags:
        - Projects
      summary: Create a new project
      description: An endpoint for creating a new project
      operationId: create
      requestBody:
        content:
          application/json:
            examples:
              Full SaaS Agent on Snowflake:
                description: Full SaaS Agent on Snowflake
                value:
                  name: project-name
                  description: A project created through the Matillion API
                  warehouse: Snowflake
                  agentDeploymentType: FULL_SAAS
              Hybrid Agent on Redshift:
                description: Hybrid Agent on Redshift
                value:
                  name: project-name
                  description: A project created through the Matillion API
                  warehouse: REDSHIFT
                  agentDeploymentType: HYBRID
              Hybrid Agent on Snowflake:
                description: Hybrid Agent on Snowflake
                value:
                  name: project-name
                  description: A project created through the Matillion API
                  warehouse: SNOWFLAKE
                  agentDeploymentType: HYBRID
            schema:
              $ref: '#/components/schemas/CreateProjectRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateProjectResponse'
          description: Project created
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '409':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Name needs to be unique
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    CreateProjectRequest:
      type: object
      properties:
        agentDeploymentType:
          type: string
          description: The deployment type of the agent
          enum:
            - HYBRID
            - FULL_SAAS
        description:
          type: string
          description: The description of the new project
          example: My new Data Productivity Cloud project
          maxLength: 1000
          minLength: 0
        name:
          type: string
          description: The name of the new project
          example: Project-1
          maxLength: 255
          minLength: 1
        warehouse:
          type: string
          description: The target data warehouse for the project
          enum:
            - SNOWFLAKE
            - REDSHIFT
      required:
        - agentDeploymentType
        - name
        - warehouse
    CreateProjectResponse:
      type: object
      properties:
        projectId:
          type: string
          format: uuid
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````